OpenNMS API 1.2.9

## org.opennms.report.availability
Class Section

    java.lang.Object
      org.opennms.report.availability.Section

All Implemented Interfaces:
  java.io.Serializable

public class Section
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private CalendarTable` `_calendarTable`
`private ClassicTable` `_classicTable`
`private boolean` `_has_sectionIndex` keeps track of state for field: _sectionIndex
`private java.lang.String` `_period`
`private java.lang.String` `_sectionDescr`
`private int` `_sectionIndex`
`private java.lang.String` `_sectionName`
`private java.lang.String` `_sectionTitle`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Section()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `deleteSectionIndex()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`CalendarTable` `getCalendarTable()` Returns the value of field 'calendarTable'.
`ClassicTable` `getClassicTable()` Returns the value of field 'classicTable'.
`java.lang.String` `getPeriod()` Returns the value of field 'period'.
`java.lang.String` `getSectionDescr()` Returns the value of field 'sectionDescr'.
`int` `getSectionIndex()` Returns the value of field 'sectionIndex'.
`java.lang.String` `getSectionName()` Returns the value of field 'sectionName'.
`java.lang.String` `getSectionTitle()` Returns the value of field 'sectionTitle'.
`boolean` `hasSectionIndex()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setCalendarTable(CalendarTable calendarTable)` Sets the value of field 'calendarTable'.
`void` `setClassicTable(ClassicTable classicTable)` Sets the value of field 'classicTable'.
`void` `setPeriod(java.lang.String period)` Sets the value of field 'period'.
`void` `setSectionDescr(java.lang.String sectionDescr)` Sets the value of field 'sectionDescr'.
`void` `setSectionIndex(int sectionIndex)` Sets the value of field 'sectionIndex'.
`void` `setSectionName(java.lang.String sectionName)` Sets the value of field 'sectionName'.
`void` `setSectionTitle(java.lang.String sectionTitle)` Sets the value of field 'sectionTitle'.
`static Section` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _sectionName

    private java.lang.String _sectionName

### _sectionTitle

    private java.lang.String _sectionTitle

### _sectionDescr

    private java.lang.String _sectionDescr

### _period

    private java.lang.String _period

### _classicTable

    private ClassicTable _classicTable

### _calendarTable

    private CalendarTable _calendarTable

### _sectionIndex

    private int _sectionIndex

### _has_sectionIndex

    private boolean _has_sectionIndex

  keeps track of state for field: _sectionIndex

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Section

    public Section()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### deleteSectionIndex

    public void deleteSectionIndex()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getCalendarTable

    public CalendarTable getCalendarTable()

  Returns the value of field 'calendarTable'.

  Returns:
    the value of field 'calendarTable'.

### getClassicTable

    public ClassicTable getClassicTable()

  Returns the value of field 'classicTable'.

  Returns:
    the value of field 'classicTable'.

### getPeriod

    public java.lang.String getPeriod()

  Returns the value of field 'period'.

  Returns:
    the value of field 'period'.

### getSectionDescr

    public java.lang.String getSectionDescr()

  Returns the value of field 'sectionDescr'.

  Returns:
    the value of field 'sectionDescr'.

### getSectionIndex

    public int getSectionIndex()

  Returns the value of field 'sectionIndex'.

  Returns:
    the value of field 'sectionIndex'.

### getSectionName

    public java.lang.String getSectionName()

  Returns the value of field 'sectionName'.

  Returns:
    the value of field 'sectionName'.

### getSectionTitle

    public java.lang.String getSectionTitle()

  Returns the value of field 'sectionTitle'.

  Returns:
    the value of field 'sectionTitle'.

### hasSectionIndex

    public boolean hasSectionIndex()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setCalendarTable

    public void setCalendarTable(CalendarTable calendarTable)

  Sets the value of field 'calendarTable'.

  Parameters:
    `calendarTable` - the value of field 'calendarTable'.

### setClassicTable

    public void setClassicTable(ClassicTable classicTable)

  Sets the value of field 'classicTable'.

  Parameters:
    `classicTable` - the value of field 'classicTable'.

### setPeriod

    public void setPeriod(java.lang.String period)

  Sets the value of field 'period'.

  Parameters:
    `period` - the value of field 'period'.

### setSectionDescr

    public void setSectionDescr(java.lang.String sectionDescr)

  Sets the value of field 'sectionDescr'.

  Parameters:
    `sectionDescr` - the value of field 'sectionDescr'.

### setSectionIndex

    public void setSectionIndex(int sectionIndex)

  Sets the value of field 'sectionIndex'.

  Parameters:
    `sectionIndex` - the value of field 'sectionIndex'.

### setSectionName

    public void setSectionName(java.lang.String sectionName)

  Sets the value of field 'sectionName'.

  Parameters:
    `sectionName` - the value of field 'sectionName'.

### setSectionTitle

    public void setSectionTitle(java.lang.String sectionTitle)

  Sets the value of field 'sectionTitle'.

  Parameters:
    `sectionTitle` - the value of field 'sectionTitle'.

### unmarshal

    public static Section unmarshal(java.io.Reader reader)
                             throws org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.